package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaBusinessProduct;
import com.ruoyi.oa.domain.vo.OaBusinessProductVo;
import com.ruoyi.oa.domain.bo.OaBusinessProductBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * CRM 商机产品关联Service接口
 *
 * @author ruoyi
 * @date 2025-03-12
 */
public interface IOaBusinessProductService {

    /**
     * 查询CRM 商机产品关联
     */
    OaBusinessProductVo queryById(Long businessProductId);

    /**
     * 查询CRM 商机产品关联列表
     */
    TableDataInfo<OaBusinessProductVo> queryPageList(OaBusinessProductBo bo, PageQuery pageQuery);

    /**
     * 查询CRM 商机产品关联列表
     */
    List<OaBusinessProductVo> queryList(OaBusinessProductBo bo);

    /**
     * 新增CRM 商机产品关联
     */
    Boolean insertByBo(OaBusinessProductBo bo);

    /**
     * 修改CRM 商机产品关联
     */
    Boolean updateByBo(OaBusinessProductBo bo);

    /**
     * 校验并批量删除CRM 商机产品关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
